@import url('https://fonts.googleapis.com/css?family=PT+Sans:400,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=PT+Sans:400,700|Playfair+Display:400,700&display=swap');

body {
	height: 100%;
}

html {
	height: 100%;
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0; 
}

h1 {
	font-family: "Playfair Display", serif;
	font-size: 45px;
	font-weight: 100;
	color: #ecf0f1;
	letter-spacing: 2px;
	margin: 0 0 40px 0;
}

p, li, a, .med_button {
	font-family: "PT Sans", Sans-serif;
	font-size: 18px;
	color: #ecf0f1;
	text-decoration: none;
}

.hero {
	min-height: 100%;
	position: relative;
	padding: 0px 10%;
	display: flex;
	flex-direction: column;
	background-color: rgba(5, 6, 32, 0.7);
	overflow: hidden;
}

.hero:before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: -10;
	background-image: url(images/iceland.jpg);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	filter: blur(10px);
	transform: scale(1.2);
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-top: 30px;
}

.logo {
	cursor: pointer;
}

.nav_links {
	list-style-type: none;
	margin-block-start: 0px;
	margin-block-end: 0px;
	margin-inline-start: 0px;
	margin-inline-end: 0px;
	padding-inline-start: 0px;
}

.nav_links li {
	display: inline-block;
	padding: 0 20px;
}

.nav_links li a{
	transition: all 0.3s ease 0s;
}

.nav_links li a:hover {
	color: #e74d71;
}

.med_button {
	width: 111px;
	height: 36px;
	background-color: transparent;
	border: 1px solid #ecf0f1;
	border-radius: 5px;
	cursor: pointer;
	transition: all 0.3s ease 0s;
}

.med_button:hover {
	border: 1px solid #e74d71;
	background-color: #e74d71;
}

.hero_content {
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	align-items: center;
	margin-top: 200px;
}

.hero_text {
	grid-column-start: span 6;
	margin-right: 40px;
}

.hero_subtitle {
	text-transform: uppercase;
	font-weight: 700;
	margin: 0 0 15px 0;
}

.hero_video {
	grid-column-start: span 6;
}

.wistia_swatch, .w-chrome {
	border-radius: 5px;
}

.play_section {
	display: flex;
	align-items: center;
}

.play_button {
	display: flex;
	justify-content: center;
	width: 50px;
	height: 50px;
	margin-right: 20px;
	background: rgba(228, 55, 95, 1);
	border-radius: 50%;
	animation: pulse 2s infinite;
	cursor: pointer;
}

.play_button img {
	width: 13px;
}

@keyframes pulse {
	0% {
		box-shadow: 0 0 0 0px rgba(228, 55, 95, 0.7);
	}
	100% {
		box-shadow: 0 0 0 15px rgba(228, 55, 95, 0.7);
	}
}

@media screen and (max-width: 1200px) {
	.hero_content {
		margin-top: 100px;
	}
	.hero_text, .hero_video {
		grid-column-start: span 12;
	}
	.hero_text, .hero_video {
		margin-bottom: 60px;
	}
}

/*Hamburger*/

.mobile_menu {
	display: none;
}

.hamburger {
	position: absolute;
	width: 35px;
	height: 30px;
	top: 14px;
	right: 10%;
	z-index: 5;
	cursor: pointer;
}

.hamburger div {
	position: relative;
	width: 35px;
	height: 3px;
	border-radius: 3px;
	background-color: #ecf0f1;
	margin-top: 10px;
	transition: all 0.3s ease-in-out;
}

#toggle {
	display: none;
}

#toggle:checked + .hamburger .hamburger_top {
	transform: rotate(-45deg);
	margin-top: 17.5px; /* Half the size of hamburger height */
}

#toggle:checked + .hamburger .hamburger_meat {
	transform: rotate(45deg);
	margin-top: -3px; /* Negative value of hamburger div height */
}

#toggle:checked + .hamburger .hamburger_bottom {
	transform: scale(0);
}

#toggle:checked + .hamburger + .hamburger_nav {
	top:0;
}

.hamburger_nav {
	position: fixed;
	z-index: 4;
	width: 100%;
	height: 100%;
	background-color: #050620;
	top: -100%;
	left: 0;
	right: 0;
	bottom: 0;
	overflow: hidden;
	transition: all 0.3s ease-in-out;
}

.hamburger_nav .hamburger_nav-wrapper {
	position: relative;
	overflow-y: auto;
	height: 100%
}

.hamburger_nav-items {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hamburger_nav-items a {
    margin-top: 40px;
    color: #ecf0f1;
    opacity: 0;
    text-decoration: none;
    font-size: 46px;
    letter-spacing: 3px;
    transition: all 0.3s ease 0s;
}

.hamburger_nav-items a:first-child {
    margin-top: 0;
}

.hamburger_nav-wrapper nav a {
    opacity: 1;
}

.hamburger_nav-wrapper nav a:hover {
    opacity: 1;
    color: #e74d71;
}

@media screen and (max-width: 1000px) {
	.mobile_menu {
		display: inherit;
	}
	.nav_links, .med_button {
		display: none;
	}
}





